<html>
	<head>
		<title>jQuery On() Tutorial - submit with on()</title>
	
		<style>
		#addNewUser, #addNewRole{
			cursor:pointer;
			float:left;
			text-decoration:underline;
		}
		
		#formContainer{
			border:thin solid #000;
			padding:0.5em;
			margin:1em 0 0 0;
		}
		
		.clearBoth{
			clear:both;
		}
		</style>
		
	</head>
<body>

<div id='addNewUser'>[+ New User]</div>
<div id='addNewRole'>[+ New Roles]</div>

<div class='clearBoth'></div>

<div id='formContainer'>
	<!--here is where the form will be loaded -->
</div>

<script src='js/jquery-1.9.1.min.js'></script>
<script>
$(document).ready(function(){

	// when user clicks '[+ New User]', it will load the add_user.php file
	$('#addNewUser').click(function(){
		
		$('#formContainer').load('add_user.php', function(){
			console.log('user form loaded!');
		});
		
	});
	
	// when user clicks '[+ New Roles]', it will load the add_role.php file
	$('#addNewRole').click(function(){
		$('#formContainer').load('add_role.php', function(){
			console.log('role form loaded!');
		});
	});
	
	// when the user submits the 'add new user' form
	$(document).on('submit', '#addUserForm', function(){ 
		alert('Add new user form is submitted!');
		return false;
	});

	// when the user submits the 'add new role' form
	$(document).on('submit', '#addRoleForm', function(){ 
		alert('Add new role form is submitted!');
		return false;
	});
	
	
});
</script>

</body>
</html>