<html>
	<head>
		<title>jQuery on() tutorial - loading lists</title>
		
		<style>
		#myTable{
			float:left;
			margin:1em 0 0 0;
		}
		
		#myTable th, 
		#myTable td{
			border:thin solid #000;
			padding:1em;
		}
		
		.deleteAction{
			cursor:pointer;
		}
		
		#loadAction{
			cursor:pointer;
			text-decoration:underline;
		}
		</style>
		
	</head>
<body>

<div id='loadAction'>[Load List]</div>

<div id='listContainer'>
	<!--here is where the form will be loaded -->
</div>

<script src='js/jquery-1.9.1.min.js'></script>
<script>
$(document).ready(function(){

	$('#loadAction').click(function(){
		
		$('#listContainer').load('list.php', function(){
			console.log('list loaded!');
		});
		
	});
	
	/*
	// using this code won't pop up 'Are you sure?'
	$('.deleteAction').click(function(){
		if (confirm('Are you sure?')) { 
			// do things if OK
		}
	});
	*/
	
	$(document).on('click', '.deleteAction', function(){ 
		if (confirm('Are you sure?')) { 
			// do things if OK
		}
	});
	
});
</script>

</body>
</html>